#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>

namespace Ui {
    class Dialog;
}

class Dialog : public QDialog
{
    Q_OBJECT

public:
    explicit Dialog(QWidget *parent = 0);
    ~Dialog();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::Dialog *ui;

	QString directory;
	bool interrupted;

	struct item_t {
		QString dir;
		QString path;
		QString artist;
		QString album;
		QString title;
	};

	void invoke_vorbiscomment(QString commandline, std::vector<QString> *lines);
	void scan(QString dir, std::vector<item_t> *out);
	bool edit(item_t const &item);

private slots:
	void on_pushButton_Location_clicked();
 void on_pushButton_Start_clicked();
	void on_pushButton_Abort_clicked();
};

#endif // DIALOG_H
